<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- File/Synopsis/TypeAnalysis/Type.hh.html -->
<!-- this view was generated by FileIndex -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/TypeAnalysis/Type.hh</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileIndex">
<b >Synopsis/TypeAnalysis/Type.hh</b>
<div><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html" target="content">source code</a></div>
<div><a href="../../../FileDetails/Synopsis/TypeAnalysis/Type.hh.html" target="content">details</a></div>
<div class="heading">Declarations</div>
Synopsis<br/>
<div class="fileview-scope">TypeAnalysis<br/>
<div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Array.html" target="content" title="(class)">Array</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Array.html#my_type" target="content" title="(data member)">my_type</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#BOOL" target="content" title="(namespace variable)">BOOL</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/BuiltinType.html" target="content" title="(class)">BuiltinType</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#CHAR" target="content" title="(namespace variable)">CHAR</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/CVType.html" target="content" title="(class)">CVType</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/CVType.html#CVQualifier" target="content" title="(enum)">CVQualifier</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/CVType.html#CVType_lconst.Type_S_cCVQualifier_r" target="content" title="(member function)">CVType</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/CVType.html#my_qual" target="content" title="(data member)">my_qual</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/CVType.html#my_type" target="content" title="(data member)">my_type</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/CVType.html#names" target="content" title="(data member)">names</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Class.html" target="content" title="(class)">Class</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Class.html#Class_lKind_cconst.std_mstring_A_r" target="content" title="(member function)">Class</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Class.html#Kind" target="content" title="(enum)">Kind</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Class.html#my_kind" target="content" title="(data member)">my_kind</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Compound.html" target="content" title="(class)">Compound</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#DOUBLE" target="content" title="(namespace variable)">DOUBLE</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Enum.html" target="content" title="(class)">Enum</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#FLOAT" target="content" title="(namespace variable)">FLOAT</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Function.html" target="content" title="(class)">Function</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Function.html#my_type" target="content" title="(data member)">my_type</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#INT" target="content" title="(namespace variable)">INT</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#LONG" target="content" title="(namespace variable)">LONG</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Pointer.html" target="content" title="(class)">Pointer</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Pointer.html#Pointer_lconst.Type_S_r" target="content" title="(member function)">Pointer</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Pointer.html#my_type" target="content" title="(data member)">my_type</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/PointerToMember.html" target="content" title="(class)">PointerToMember</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/PointerToMember.html#my_container" target="content" title="(data member)">my_container</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/PointerToMember.html#my_member" target="content" title="(data member)">my_member</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Reference.html" target="content" title="(class)">Reference</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Reference.html#my_type" target="content" title="(data member)">my_type</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#SCHAR" target="content" title="(namespace variable)">SCHAR</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#SHORT" target="content" title="(namespace variable)">SHORT</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#SINT" target="content" title="(namespace variable)">SINT</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#SLONG" target="content" title="(namespace variable)">SLONG</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#SSHORT" target="content" title="(namespace variable)">SSHORT</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html" target="content" title="(class)">Type</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html#Type_lconst.std_mstring_A_r" target="content" title="(member function)">Type</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html#accept_lVisitor_S_r" target="content" title="(member function)">accept</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html#my_name" target="content" title="(data member)">my_name</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html#my_refcounter" target="content" title="(data member)">my_refcounter</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html#_tType_l_r" target="content" title="(member function)">~Type</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#UCHAR" target="content" title="(namespace variable)">UCHAR</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#UINT" target="content" title="(namespace variable)">UINT</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#ULONG" target="content" title="(namespace variable)">ULONG</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#USHORT" target="content" title="(namespace variable)">USHORT</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Union.html" target="content" title="(class)">Union</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#WCHAR" target="content" title="(namespace variable)">WCHAR</a></div></div>
</div>

</body>
</html>
